aboutsummaryrefslogtreecommitdiffstats
path: root/x11/font-misc-cyrillic/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-04-03 12:06:25 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-03 12:06:25 +0000
commit2f8ec833eadb2fe7c99242fc659bb75ebe829d07 (patch)
tree4f6abf3e59997e5f59c9b3e7e2d14aa9c470d9e1 /x11/font-misc-cyrillic/APKBUILD
parent1c05e9fc3e2596e912dd7b75054f0961b77bc7b4 (diff)
downloadaports-2f8ec833eadb2fe7c99242fc659bb75ebe829d07.tar.gz
aports-2f8ec833eadb2fe7c99242fc659bb75ebe829d07.tar.bz2
aports-2f8ec833eadb2fe7c99242fc659bb75ebe829d07.tar.xz
x11/font-*-*: added missing APKBUILDs
Diffstat (limited to 'x11/font-misc-cyrillic/APKBUILD')
-rw-r--r--x11/font-misc-cyrillic/APKBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/x11/font-misc-cyrillic/APKBUILD b/x11/font-misc-cyrillic/APKBUILD
new file mode 100644
index 0000000000..ccbc3c3d31
--- /dev/null
+++ b/x11/font-misc-cyrillic/APKBUILD
@@ -0,0 +1,25 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=font-misc-cyrillic
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="X.org misc cyrillic fonts"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends="encodings font-alias mkfontscale mkfontdir fontconfig"
+makedepends="pkgconfig font-util-dev bdftopcf"
+install="$pkgname.post-install $pkgname.post-upgrade"
+source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2
+ $install"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --with-mapfiles=/usr/share/fonts/util \
+ --with-fontdir=/usr/share/fonts/cyrillic
+ make || return 1
+ make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
+}
+
+md5sums="3596907d7a2a99c81d8de99bc4552b6a font-misc-cyrillic-1.0.0.tar.bz2
+e738ad911ff453b7c957007832845f21 font-misc-cyrillic.post-install
+e738ad911ff453b7c957007832845f21 font-misc-cyrillic.post-upgrade"